import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../../member/user/components/view.component';

import {
  BankDepositResolver,
  DepositsResolver,
} from './resolvers/deposit.resolver';
import { UserResolver } from '../../dashboards/user/user.resolvers';
import { ListMemberResolver } from 'app/shared/resolvers/member.resolver';
import { ListMemberClassesResolver } from 'app/shared/resolvers/member-class.resolver';

export const depositRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      listMember: ListMemberResolver,
      bankDeposit: BankDepositResolver,
      listMemberClasses: ListMemberClassesResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
