import { Injectable } from '@angular/core';
import {
  ActivatedRouteSnapshot,
  Resolve,
  Router,
  RouterStateSnapshot,
} from '@angular/router';

import { MemberLevelService } from 'app/modules/polyglot/member_level/services/member_level.service';
import {
  ListMemberLevelsRequest,
  ListMemberLevelsResponse,
} from 'app/modules/proto/c2se/member_level_pb';

import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class ListMemberLevelsResolver implements Resolve<any> {
  /**
   * Constructor
   */
  constructor(
    private _router: Router,
    private __memberLevelService: MemberLevelService
  ) {}

  // -----------------------------------------------------------------------------------------------------
  // @ Public methods
  // -----------------------------------------------------------------------------------------------------

  /**
   * Resolver
   *
   * @param route
   * @param state
   */

  resolve(
    route: ActivatedRouteSnapshot,
    state: RouterStateSnapshot
  ):
    | Observable<ListMemberLevelsResponse.Result>
    | Promise<ListMemberLevelsResponse.Result>
    | ListMemberLevelsResponse.Result {
    let search = new ListMemberLevelsRequest.Search();
    search.setShow(true);
    let req = new ListMemberLevelsRequest();
    req.setSearch(search);

    return this.__memberLevelService.listMemberLevels(req);
  }
}
